Bug 508075 - Review Request: php-pear-HTML_Javascript - Class for creating simple JS scripts
Review Request: php-pear-HTML_Javascript - Class for creating simple JS scripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 09:51 EDT by Andrew Colin Kissa
Modified: 2009-08-01 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 12:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Colin Kissa 2009-06-25 09:51:33 EDT
Spec URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-HTML-Javascript/php-pear-HTML-Javascript.spec
SRPM URL: http://www.topdog-software.com/oss/SRPMS/fedora/php-pear-HTML-Javascript/php-pear-HTML-Javascript-1.1.1-1.fc11.src.rpm
Description: 
The PEAR::HTML_Javascript package provides methods for 
creating simple JS scripts

* Package built as per package maintainers wishlist - http://fedoraproject.org/wiki/Package_maintainers_wishlist#P

* rpmlint silent on spec and rpms

* Builds on Koji - http://koji.fedoraproject.org/koji/taskinfo?taskID=1435562
Comment 1 Mamoru TASAKA 2009-06-29 13:58:10 EDT
Some notes:

* Naming
  - I think this srpm must be named as just php-pear-HTML_Javascript.

* Directory ownership issue / %files entry
  - (At least) on rawhide %{pear_phpdir}/ is expanded as /usr/share/pear
    so
-------------------------------------------------------------
%files
%{pear_phpdir}/*
-------------------------------------------------------------
    contains all files/directories/etc under /usr/share/pear.

    On the other hand %{pear_xmldir} as /usr/share/pear/.pkgxml 
    and %{pear_testdir} as /usr/share/pear/test, so current %files
    entry causes duplicate file list:
-------------------------------------------------------------
warning: File listed twice: /usr/share/pear/test/HTML_Javascript
warning: File listed twice: /usr/share/pear/test/HTML_Javascript/tests
warning: File listed twice: /usr/share/pear/test/HTML_Javascript/tests/js.php
warning: File listed twice: /usr/share/pear/test/HTML_Javascript/tests/output.php
-------------------------------------------------------------
  - Also the following directories (themselves) are already owned 
    by php-common so this rpm should not own them.
-------------------------------------------------------------
/usr/share/pear/doc
/usr/share/pear/test
-------------------------------------------------------------
Comment 3 Mamoru TASAKA 2009-06-30 13:16:49 EDT
For -2:

* Directory ownership issue
  - Well, I don't know well which package should own the directory
    %{pear_phpdir}/HTML/.
    * -1 binary rpm owned this directory
    * now -2 binary rpm does not own this directory
    * On dist-f12 tree only "php-pear-HTML-Common" binary rpm
      owns this directory, however currently this rpm (php-pear-HTML_Javascript)
      does not depend on php-pear-HTML-Common

  So two solutions. Either:
  - make php-pear-HTML_Javascript depend on (i.e Requires) php-pear(HTML_Common)
  - or make php-pear-HTML_Javascript also own %{pear_phpdir}/HTML/
Comment 5 Mamoru TASAKA 2009-07-01 10:09:40 EDT
Okay.

--------------------------------------------------------------------
   This package (php-pear-HTML_Javascript) is APPROVED by mtasaka
--------------------------------------------------------------------
Comment 6 Andrew Colin Kissa 2009-07-01 10:44:22 EDT
Thanks for the review Mamoru,

New Package CVS Request
=======================
Package Name: php-pear-HTML_Javascript
Short Description: Class for creating simple JS scripts
Owners: topdog
Branches: F-10 F-11
InitialCC: mtasaka
Comment 7 Kevin Fenzi 2009-07-02 01:04:25 EDT
cvs done.
Comment 8 Fedora Update System 2009-07-02 04:16:37 EDT
php-pear-HTML_Javascript-1.1.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pear-HTML_Javascript-1.1.1-3.fc11
Comment 9 Fedora Update System 2009-07-02 04:16:42 EDT
php-pear-HTML_Javascript-1.1.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pear-HTML_Javascript-1.1.1-3.fc10
Comment 10 Mamoru TASAKA 2009-07-02 12:45:06 EDT
Now closing.
Comment 11 Andrew Colin Kissa 2009-07-15 09:21:04 EDT
Package Change Request
======================
Package Name: php-pear-HTML_Javascript
New Branches: EL-5
Owners: topdog
Comment 12 Kevin Fenzi 2009-07-16 01:55:30 EDT
cvs done.
Comment 13 Fedora Update System 2009-08-01 19:55:57 EDT
php-pear-HTML_Javascript-1.1.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-08-01 19:56:37 EDT
php-pear-HTML_Javascript-1.1.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.